Subject: [rtcweb] MMUSIC interim on simulcast

From: Ted Hardie <[email-masked]>
Date: Tue, 29 Sep 2015 15:50:20 -0700

Howdy folks,

The MMUSIC group is going to hold a virtual interim to discuss the
simulcast work.  The time and date are as below.

The Multiparty Multimedia Session Control (MMUSIC) working group will hold
a virtual interim meeting on Tuesday, October 13, from 1100 to 1300 EDT.

Participation information and agenda will be announced on the MMUSIC
mailing list. For those that will attend, here is Adam's summary of the
current thinking:

​After significant conversations both at and after the interim WebRTC
> meeting, and considering information about the type of solutions that
> interested parties are likely to find acceptable, a number of the WebRTC
> participants have come up with a tentative proposal that we believe is
> likely to be simple, flexible, and satisfactory to everyone involved. At a
> high level:
>
>
>  * The current behavior described in the MMUSIC simulcast draft remains
> valid.
>
>  * Additionally, we define a new attribute type (provisionally called
> “RID”, for “RTP Stream ID”) that can be used to define additional
> codec-independent constraints on PTs (e.g., max-fps, max-bps,max-width,
> max-height).
>
>  *RIDs can be defined to be unidirectional, so as to allow implementations
> to signal the ability to send a different number of  encodings than they
> can receive.
>
>  * The values for each constraint can be specified to be different in each
> direction.
>
>  * When used, the RID value is encoded as part of the RTP packet, in an
> extension header.
>
>  * The values (that is, identifiers) used for RID are proposed by the
> offerer in a session, and are symmetric. The RID values in an answer must
> be a subset of those present in the offer.
>
>  * The parameters associated with a RID can be made more restrictive
> (i.e., resolution decreased, bandwidth decreased), but not less
> restrictive, in an answer.
>
>  * For those sessions that use RIDs, the “a=simulcast” parameter is
> enhanced to be able to carry RIDs instead of PTs.
>
> We hope to have an internet-draft that describes this approach in more
> detail by the end of next week.
>
> /a
>
>
​Thanks to the authors and chairs of MMUSIC for pulling this together.
Discussion of this topic should be on the MMUSIC list.

regards,

Ted